/**
 * type of elements in lists teamMembers and opponents
 *
 * @author Matthias Lang
 * @version $Id: PlayerListElement.java,v 1.1 2002/07/10 00:37:01 Lang Exp $
 **/
public class PlayerListElement
{
    public PVector position, change;

    /**
     * creates a new ListElement
     *
     * @param str string array containing relative position and position change
     **/
    public PlayerListElement( String[] str )
    {
	position = new PVector( Double.parseDouble( str[1] ),
				Integer.parseInt( str[2] ) );
	if ( str[4]!=null ) { // if we got the change values
	    try {
		change = new PVector( Double.parseDouble( str[3] ),
				      Integer.parseInt( str[4] ) );
	    } catch (NumberFormatException nfe) {
		change = new PVector( Double.parseDouble( str[3] ),
				      (int)Double.parseDouble( str[4] ) );
	    }
	}
	else change = new PVector();
    }
}
